discography:
- catalog: N/A
  date: '2004-11-06'
  link: album/5364
  reprint: false
  roles:
  - Arranger
  - Performer
  titles:
    en: Repercussions of Fowl Lamentation
    ja: Repercussions of Fowl Lamentation
    ja-latn: Repercussions of Fowl Lamentation
  type: doujin
- catalog: N/A
  date: '2004-11-06'
  link: album/5366
  reprint: false
  roles:
  - Arranger
  - Performer
  titles:
    en: 'Repercussions of Fowl Lamentation: Plutonium Edition'
    ja: 'Repercussions of Fowl Lamentation: Plutonium Edition'
    ja-latn: 'Repercussions of Fowl Lamentation: Plutonium Edition'
  type: doujin
- catalog: N/A
  date: '2005-10-03'
  link: album/6191
  reprint: false
  roles:
  - Arranger (also as Disk Mastah Smokabitch)
  - Performer (also as Disk Mastah Smokabitch)
  titles:
    en: JURN3Y 2 51L1U5
    ja: JURN3Y 2 51L1U5
    ja-latn: JURN3Y 2 51L1U5
  type: doujin
- catalog: N/A
  date: '2005-10-31'
  link: album/22002
  reprint: false
  roles:
  - Arranger
  titles:
    en: Bound Together - An EarthBound Remix Project
    ja: Bound Together - An EarthBound Remix Project
    ja-latn: Bound Together - An EarthBound Remix Project
  type: doujin
- catalog: OCRA-0007
  date: '2006-05-29'
  link: album/5362
  reprint: false
  roles:
  - Arranger
  - Performer
  - Lyricist
  titles:
    en: 'Blood on the Asphalt: A Super Street Fighter 2 Turbo ReMix Collaboration'
    ja: 'Blood on the Asphalt: A Super Street Fighter 2 Turbo ReMix Collaboration'
    ja-latn: 'Blood on the Asphalt: A Super Street Fighter 2 Turbo ReMix Collaboration'
  type: doujin
- catalog: N/A
  date: '2006-08-20'
  link: album/5365
  reprint: false
  roles:
  - Arranger
  titles:
    en: 'Bound Together: ReBound - An EarthBound Remix Project'
    ja: 'Bound Together: ReBound - An EarthBound Remix Project'
    ja-latn: 'Bound Together: ReBound - An EarthBound Remix Project'
  type: doujin
- catalog: OUS EP-00
  date: '2007-03-19'
  link: album/39265
  reprint: false
  roles:
  - Performer
  titles:
    en: The Mustin Collection
    ja: The Mustin Collection
    ja-latn: The Mustin Collection
  type: doujin
- catalog: N/A
  date: '2007-04-01'
  link: album/5370
  reprint: false
  roles:
  - Arranger (also as Disk Mastah Smokabitch)
  titles:
    en: 'ReCapitated: An Official OverClocked ReMix Tribute Arrangement Album Project'
    ja: 'ReCapitated: An Official OverClocked ReMix Tribute Arrangement Album Project'
    ja-latn: 'ReCapitated: An Official OverClocked ReMix Tribute Arrangement Album
      Project'
  type: doujin
- catalog: N/A
  date: '2008-07-03'
  link: album/9325
  reprint: false
  roles:
  - Composer
  - Performer
  - Lyricist
  titles:
    en: A History of Crakatude
    ja: A History of Crakatude
    ja-latn: A History of Crakatude
  type: doujin
- catalog: OCRA-0012
  date: '2008-11-27'
  link: album/11103
  reprint: false
  roles:
  - Arranger
  titles:
    en: Super Street Fighter II Turbo HD Remix Official Soundtrack / OverClocked ReMix
    ja: Super Street Fighter II Turbo HD Remix Official Soundtrack / OverClocked ReMix
    ja-latn: Super Street Fighter II Turbo HD Remix Official Soundtrack / OverClocked
      ReMix
  type: doujin
- catalog: UPM110CD
  date: 2009-02
  link: album/26790
  reprint: false
  roles:
  - Arranger
  titles:
    en: PSM3 Presents STREET FIGHTER THE MUSIC COLLECTION
    ja: PSM3 Presents STREET FIGHTER THE MUSIC COLLECTION
    ja-latn: PSM3 Presents STREET FIGHTER THE MUSIC COLLECTION
  type: bonus
- catalog: N/A
  date: '2009-05-25'
  link: album/13495
  reprint: false
  roles:
  - Arranger
  - Performer
  titles:
    en: Here Comes a New Challenger II Turbo
    ja: Here Comes a New Challenger II Turbo
    ja-latn: Here Comes a New Challenger II Turbo
  type: doujin
- catalog: N/A
  date: '2011-03-02'
  link: album/29796
  reprint: false
  roles:
  - Performer (as Disk Mastah Smokabitch)
  - Lyricist (as Disk Mastah Smokabitch)
  titles:
    en: Kickstarter Covers
    ja: Kickstarter Covers
    ja-latn: Kickstarter Covers
  type: doujin
- catalog: N/A
  date: '2017-10-09'
  link: album/136705
  reprint: false
  roles:
  - Artist
  - Bass (as Shael)
  - Arranger (as Shael)
  - Production (as Shael)
  titles:
    en: The "The Super-Mario Day" EP
    ja: The "The Super-Mario Day" EP
    ja-latn: The "The Super-Mario Day" EP
  type: doujin
featured_on: []
info:
  Credited works:
  - 14 albums in database
  - 1 products in database
  Credits:
  - 11 arranger
  - 8 performer
  - 3 lyricist
  - 1 composer
  - 1 artist
  - 1 bass
  - 1 production
  - 1 remixer
  - 1 remix director
  Units: &id001
  - link: artist/11832
    names:
      en: Shael Riley and the Double Ice Backfire
      ja: Shael Riley and the Double Ice Backfire
  - link: artist/5365
    names:
      en: The Grammar Club
      ja: The Grammar Club
link: artist/1244
meta:
  added_date: 2007-11-12T09:58
  edited_date: 2010-03-15T10:13
  fetched_date: 2025-12-07T14:29
  ttl: 86400
  visitors: 5195
name: Shael Riley
notes: No notes available for this artist.
sex: male
twitter_names:
- ShaelRiley
type: Individual
units: *id001
vgmdb_link: https://vgmdb.net/artist/1244?perpage=99999
websites:
  Interview: []
  Official: []
  Reference: []
